Bug 1705960 - python3-pytest-relaxed fails to install on rawhide (pytest 4)
Summary: python3-pytest-relaxed fails to install on rawhide (pytest 4)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pytest-relaxed
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTEST4 F31FailsToInstall 1705962
TreeView+ depends on / blocked
 
Reported: 2019-05-03 09:57 UTC by Miro Hrončok
Modified: 2019-07-11 08:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-11 08:28:56 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-05-03 09:57:14 UTC
Error: 
 Problem: conflicting requests
  - nothing provides python3.7dist(pytest) < 4 needed by python3-pytest-relaxed-1.0.0-8.fc30.noarch

Comment 1 Miro Hrončok 2019-07-10 10:33:58 UTC
Please repsond.

Comment 2 Othman Madjoudj 2019-07-11 01:52:46 UTC
it was fixed few weeks ago in rawhide, would you like this to be in Stable release as well ?

sh-5.0# cat /etc/fedora-release
Fedora release 31 (Rawhide)
sh-5.0# dnf install python3-pytest-relaxed
Last metadata expiration check: 0:00:40 ago on Thu Jul 11 01:50:06 2019.
Dependencies resolved.
=========================================================================================================================================================================================
 Package                                                  Architecture                         Version                                       Repository                             Size
=========================================================================================================================================================================================
Installing:
 python3-pytest-relaxed                                   noarch                               1.1.5-1.fc31                                  rawhide                                33 k
Installing dependencies:
 python3-atomicwrites                                     noarch                               1.3.0-1.fc30                                  rawhide                                22 k
 python3-attrs                                            noarch                               19.1.0-1.fc31                                 rawhide                                62 k
 python3-decorator                                        noarch                               4.4.0-1.fc31                                  rawhide                                27 k
 python3-importlib-metadata                               noarch                               0.18-1.fc31                                   rawhide                                38 k
 python3-more-itertools                                   noarch                               7.0.0-1.fc31                                  rawhide                                55 k
 python3-pluggy                                           noarch                               0.12.0-1.fc31                                 rawhide                                39 k
 python3-py                                               noarch                               1.8.0-1.fc31                                  rawhide                               453 k
 python3-pytest                                           noarch                               4.4.1-2.fc31                                  rawhide                               1.6 M
 python3-six                                              noarch                               1.12.0-1.fc30                                 rawhide                                35 k
 python3-zipp                                             noarch                               0.5.1-1.fc31                                  rawhide                                13 k

Transaction Summary
=========================================================================================================================================================================================
Install  11 Packages

Total download size: 2.3 M
Installed size: 13 M
Is this ok [y/N]: y
Downloading Packages:
<...>
<...>
Installed:
  python3-pytest-relaxed-1.1.5-1.fc31.noarch         python3-atomicwrites-1.3.0-1.fc30.noarch        python3-attrs-19.1.0-1.fc31.noarch       python3-decorator-4.4.0-1.fc31.noarch
  python3-importlib-metadata-0.18-1.fc31.noarch      python3-more-itertools-7.0.0-1.fc31.noarch      python3-pluggy-0.12.0-1.fc31.noarch      python3-py-1.8.0-1.fc31.noarch
  python3-pytest-4.4.1-2.fc31.noarch                 python3-six-1.12.0-1.fc30.noarch                python3-zipp-0.5.1-1.fc31.noarch

Complete!

Comment 3 Miro Hrončok 2019-07-11 08:28:56 UTC
Thanks. Stable release has pytest 3.x.


Note You need to log in before you can comment on or make changes to this bug.